using System;

internal sealed class Delegate525 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate525 delegate525_1)
	{
		return delegate525_1(object_0);
	}

	public extern Delegate525(object object_0, IntPtr intptr_0);

	static Delegate525()
	{
		Class10.smethod_13(typeof(Delegate525).TypeHandle);
	}

	internal static Delegate525 delegate525_0;
}
